CONTAINER(1)

NAME
container - Manage systemd-nspawn containers

SYNOPSIS

container COMMAND [OPTIONS] container COMMAND1,COMMAND2,... COMMANDn

DESCRIPTION

compute-tools provides the system integration for managing containers using systemd-nspawn.

OPTIONS

The following container common options are available:

-n, --name=NAME
    Specify container name.

COMMANDS

The following container commands are available:

create
    Create a new container, see container-create(1).

start
    Start a container, see container-start(1).

restart
    Restart a container, see container-restart(1).

stop
    Stop a container, see container-stop(1).

remove
    Remove a container, see container-remove(1).

move
    Rename a container, see container-move(1).

console
    Attach console to a container, see container-console(1).

enter
    Enter a container namespace, see container-enter(1).

key
    Manage GnuPG keyring for container operations, see container-key(1).

limit
    Limit ressources of a container, see container-limit(1).

list
    List container on the system, see container-list(1).

log
    Show container log, see container-log(1).

status
    Show container status, see container-status(1).

top
    Dynamic list of container on the system, see container-top(1).

version
    Show container version, see container-version(1).

FILES

The following files are used:

/etc/open-infrastructure/container
    Container configuration files.

/usr/bin/container, /usr/bin/cnt
    Container program.

/usr/bin/container-shell, /usr/bin/cntsh
    Container shell program.

/usr/lib/open-infrastructure/container
    Container commands.

/usr/share/open-infrastructure/container
    Container shared data.

/usr/share/doc/compute-tools
    Container documentation files.

/var/cache/open-infrastructure/container
    Container cache directory.

/var/lib/machines
    Container root directory.

/var/log/open-infrastructure
    Container log files.

SEE ALSO

machinectl(1), systemd-nspawn(1).

HOMEPAGE

More information about compute-tools and the Open Infrastructure project can be found on the homepage at https://open-infrastructure.net.

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System at https://bugs.debian.org.

AUTHORS

compute-tools were written by Daniel Baumann <daniel.baumann@open-infrastructure.net> and others.